# Get Vault Assets

Get a list of all assets in a vault.

Endpoint: GET /api/v1/vaults/{id}/assets
Version: 0.2.0
Security: bearerAuth

## Path parameters:

  - `id` (string, required)
    ID of the vault to retrieve.

## Query parameters:

  - `page` (integer)
    The page number to fetch.

  - `size` (integer)
    The number of items per page.

  - `skip_count` (boolean)
    Whether to skip counting the total number of items.

  - `chains` (array)

  - `asset_ids` (array)

  - `is_hidden` (boolean)

  - `search` (string)

  - `sort_by` (array)
    Enum: "asset_name_asc", "asset_name_desc", "chain_identifier_asc", "chain_identifier_desc", "balance_asc", "balance_desc", "market_value_asc", "market_value_desc", "price_asc", "price_desc"

## Response 200 fields (application/json):

  - `total` (integer, required)

  - `page` (integer, required)

  - `size` (integer, required)

  - `owned_assets` (array, required)

  - `owned_assets.priced_asset` (object, required)

  - `owned_assets.priced_asset.type` (string, required)

  - `owned_assets.priced_asset.asset_info` (object, required)
    The asset info.

  - `owned_assets.priced_asset.asset_info.id` (string, required)
    The asset ID.

  - `owned_assets.priced_asset.asset_info.asset_identifier` (any, required) — one of (discriminator: type):
    The asset identifier.
    - aptos:
      - `type` (string, required)
        Aptos asset identifier type.
      - `details` (any, required) — one of (discriminator: type):
        - coin:
          - `type` (string, required)
            Legacy coin asset identifier type.
          - `coin_type` (object, required)
            The legacy coin details.
          - `coin_type.chain` (string, required)
            The chain details this address is of.
            Enum: "aptos_mainnet", "aptos_testnet", "aptos_movement_mainnet", "aptos_movement_testnet"
          - `coin_type.coin_type_str` (string, required)
            Coin type string representation.
        - native:
          - `type` (string, required)
            Aptos asset identifier type.
          - `chain` (string, required)
            The details of the chain of the native asset.
            Enum: same as `coin_type.chain` in "coin" (4 values)
        - new_coin:
          - `type` (string, required)
            New coin asset identifier type.
          - `new_coin_type` (object, required)
            The new coin details.
          - `new_coin_type.chain` (string, required)
            The chain details this address is of.
            Enum: same as `coin_type.chain` in "coin" (4 values)
          - `new_coin_type.metadata_address` (string, required)
            New coin's metadata address.
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The type of the Aptos-based chain.
        Enum: same as `coin_type.chain` in "coin" (4 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
    - arch:
      - `type` (string, required)
        Arch asset identifier type.
      - `details` (any, required) — one of (discriminator: type):
        - apl_token:
          - `type` (string, required)
            APL token asset identifier type.
          - `token` (object, required)
            The APL token details.
          - `token.chain` (string, required)
            The chain details this address is of.
            Enum: "arch_mainnet", "arch_testnet"
          - `token.base58_repr` (string, required)
            Base58 representation of the address in the chain.
            Example: "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"
        - native:
          - `type` (string, required)
            Arch asset identifier type.
          - `chain` (string, required)
            The details of the chain of the native asset.
            Enum: same as `token.chain` in "apl_token" (2 values)
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The type of the Arch-based chain.
        Enum: same as `token.chain` in "apl_token" (2 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
    - cosmos:
      - `type` (string, required)
        Cosmos asset identifier type.
      - `details` (any, required) — one of (discriminator: type):
        - native:
          - `type` (string, required)
            Cosmos asset identifier type.
          - `chain` (string, required)
            The unique id of the chain of the asset.
            Enum: "cosmos_agoric-3", "cosmos_akashnet-2", "cosmos_archway-1", "cosmos_axelar-dojo-1", "cosmos_bbn-1", "cosmos_celestia", "cosmos_cosmoshub-4", "cosmos_dydx-mainnet-1", "cosmos_dydx-testnet-4", "cosmos_dymension_1100-1", "cosmos_injective-1", "cosmos_neutron-1", "cosmos_nillion-1", "cosmos_noble-1", "cosmos_osmosis-1", "cosmos_provider", "cosmos_ssc-1", "cosmos_pacific-1", "cosmos_stride-1", "cosmos_thorchain-1", "cosmos_mantra-1"
        - token:
          - `type` (string, required)
            Token asset identifier type.
          - `chain` (string, required)
            The unique id of the chain of the asset.
            Enum: same as `chain` in "native" (21 values)
          - `denom` (string, required)
            The denom of the asset.
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The Cosmos chain unique id.
        Enum: same as `chain` in "native" (21 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
      - `chain.base_denom` (string, required)
        The base denom of the chain.
      - `chain.bech32_prefix` (string, required)
        The bech32 prefix for addresses on the chain.
        Enum: "agoric", "akash", "archway", "axelar", "bbn", "celestia", "cosmos", "dydx", "dym", "inj", "neutron", "nillion", "noble", "osmo", "saga", "sei", "stride", "thor", "mantra"
    - evm:
      - `type` (string, required)
        Asset identifier type.
      - `details` (any, required) — one of (discriminator: type):
        - erc1155:
          - `type` (string, required)
            EVM asset identifier type.
          - `token` (object, required)
            The ERC-1155 token contract.
          - `token.chain` (string, required)
            The chain details this address is of.
          - `token.hex_repr` (string, required)
            Hexadecimal representation of the address in the chain.
            Example: "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
          - `token_id` (string, required)
            The token id of the ERC-1155 token.
            Example: "1000000000000000000"
        - erc20:
          - `type` (string, required)
            EVM asset identifier type.
          - `token` (object, required)
            The ERC-20 token contract.
          - `token.chain` (string, required)
            The chain details this address is of.
          - `token.hex_repr` (string, required)
            Hexadecimal representation of the address in the chain.
            Example: "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
        - erc721:
          - `type` (string, required)
            EVM asset identifier type.
          - `token` (object, required)
            The ERC-721 token contract.
          - `token.chain` (string, required)
            The chain details this address is of.
          - `token.hex_repr` (string, required)
            Hexadecimal representation of the address in the chain.
            Example: "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
          - `token_id` (string, required)
            The token id of the ERC-721 token.
            Example: "1000000000000000000"
        - hyperliquid:
          - `type` (string, required)
            EVM asset identifier type.
          - `chain` (string, required)
            Currently artificially set to Arbitrum.
          - `token_id` (string, required)
            The token id of the asset on Hyperliquid.
          - `index` (integer, required)
            The index of the asset on Hyperliquid.
        - native:
          - `type` (string, required)
            EVM asset identifier type.
          - `chain` (string, required)
            The details of the chain of the native asset.
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.named_chain_id` (string)
        The EVM chain name can be either one of those supported by the default chains below or a custom chain name if one was added to your organization. arbitrum_mainnetarbitrum_sepoliaavalanche_chainavalanche_fujibase_mainnetberachain_mainnetblast_mainnetbsc_mainnetcanto_mainnetclink_mainnetclink_testnetconflux_mainnetdymension_mainnetethereum_goerliethereum_holeskyethereum_mainnetethereum_sepoliafantom_mainnetflare_mainnetflare_testnetgnosis_mainnethypercore_mainnethyperevm_mainnetink_mainnetkava_mainnetkatana_mainnetlinea_mainnetoptimism_mainnetpharos_mainnetplasma_mainnetmanta_pacific_mainnetmantle_mainnetmerlin_mainnetmonad_mainnetpolygon_mainnetpolygon_mumbaipolygon_zkevm_mainnetreya_mainnetrootstock_mainnetscroll_mainnetsei_mainnetsonic_mainnettempo_mainnetunichain_mainnetxai_mainnetx_layer_mainnetzero_gravity_mainnetzeta_mainnetzklink_nova_mainnetzksync_era_mainnet
      - `chain.chain_id` (integer, required)
        The EVM chain ID can be either one of those supported by the default chains below or a custom chain ID if one was added to your organization. 1=ethereum_mainnet5=ethereum_goerli10=optimism_mainnet14=flare_mainnet16=flare_testnet30=rootstock_mainnet56=bsc_mainnet100=gnosis_mainnet130=unichain_mainnet137=polygon_mainnet143=monad_mainnet146=sonic_mainnet169=manta_pacific_mainnet196=x_layer_mainnet250=fantom_mainnet324=zksync_era_mainnet999=hyperevm_mainnet1030=conflux_mainnet1100=dymension_mainnet1101=polygon_zkevm_mainnet1329=sei_mainnet1337=hypercore_mainnet1672=pharos_mainnet1729=reya_mainnet2222=kava_mainnet4200=merlin_mainnet4217=tempo_mainnet5000=mantle_mainnet7000=zeta_mainnet7700=canto_mainnet8453=base_mainnet8818=clink_mainnet8819=clink_testnet9745=plasma_mainnet16661=zero_gravity_mainnet17000=ethereum_holesky80001=polygon_mumbai80094=berachain_mainnet42161=arbitrum_mainnet43113=avalanche_fuji43114=avalanche_chain57073=ink_mainnet59144=linea_mainnet81457=blast_mainnet421614=arbitrum_sepolia534352=scroll_mainnet660279=xai_mainnet747474=katana_mainnet810180=zklink_nova_mainnet11155111=ethereum_sepolia
      - `chain.unique_id` (string, required)
        The unique EVM chain ID. Can be either one of those supported by the default chains below or a custom numeric chain ID evm_ if one was added to your organization. "evm_1""evm_5""evm_10""evm_14""evm_16""evm_30""evm_56""evm_100""evm_130""evm_137""evm_143""evm_146""evm_169""evm_196""evm_250""evm_324""evm_999""evm_1030""evm_1100""evm_1101""evm_1329""evm_1337""evm_1672""evm_1729""evm_2222""evm_4200""evm_4217""evm_5000""evm_7000""evm_7700""evm_8453""evm_8818""evm_8819""evm_9745""evm_16661""evm_17000""evm_80001""evm_80094""evm_42161""evm_43113""evm_43114""evm_57073""evm_59144""evm_81457""evm_421614""evm_534352""evm_660279""evm_747474""evm_810180""evm_11155111""evm_ethereum_mainnet""evm_ethereum_goerli""evm_optimism_mainnet""evm_flare_mainnet""evm_flare_testnet""evm_rootstock_mainnet""evm_bsc_mainnet""evm_gnosis_mainnet""evm_unichain_mainnet""evm_polygon_mainnet""evm_monad_mainnet""evm_sonic_mainnet""evm_manta_pacific_mainnet""evm_x_layer_mainnet""evm_fantom_mainnet""evm_zksync_era_mainnet""evm_hyperevm_mainnet""evm_conflux_mainnet""evm_dymension_mainnet""evm_polygon_zkevm_mainnet""evm_sei_mainnet""evm_hypercore_mainnet""evm_pharos_mainnet""evm_reya_mainnet""evm_kava_mainnet""evm_merlin_mainnet""evm_tempo_mainnet""evm_mantle_mainnet""evm_zeta_mainnet""evm_canto_mainnet""evm_base_mainnet""evm_clink_mainnet""evm_clink_testnet""evm_plasma_mainnet""evm_zero_gravity_mainnet""evm_ethereum_holesky""evm_polygon_mumbai""evm_berachain_mainnet""evm_arbitrum_mainnet""evm_avalanche_fuji""evm_avalanche_chain""evm_ink_mainnet""evm_linea_mainnet""evm_blast_mainnet""evm_arbitrum_sepolia""evm_scroll_mainnet""evm_xai_mainnet""evm_katana_mainnet""evm_zklink_nova_mainnet""evm_ethereum_sepolia"
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
      - `chain.gas_type` (string, required)
        The type of gas used by the chain.
        Enum: "dynamic", "legacy"
      - `chain.supports_mev_protected_node` (boolean)
        True if the chain supports MEV protected nodes, False otherwise.
      - `chain.rpc_url` (string)
        The URL of the chain's RPC. Exists only for custom chains.
      - `chain.source` (string, required)
        The source of the chain. Can be:default: Chains with built-in support on Fordefi's platform.custom: User-added chains with support on Fordefi's platform.
        Enum: "default", "custom"
      - `chain.supports_7702` (boolean)
        True if the chain supports 7702, False otherwise.
    - exchange:
      - `type` (string, required)
        Asset identifier type.
      - `exchange_type` (string, required)
        exchange type.
        Enum: "binance", "bybit", "coinbase_international", "coinbase_us", "okx", "kraken"
      - `asset_symbol` (string, required)
        The symbol of the asset on the exchange.
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The type of the Exchange-based chain.
        Enum: "exchange_binance", "exchange_bybit", "exchange_coinbase_international", "exchange_coinbase_us", "exchange_okx", "exchange_kraken"
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
    - solana:
      - `type` (string, required)
        Solana asset identifier type.
      - `details` (any, required) — one of (discriminator: type):
        - native:
          - `type` (string, required)
            Solana asset identifier type.
          - `chain` (string, required)
            The details of the chain of the native asset.
            Enum: "solana_mainnet", "solana_devnet", "solana_eclipse_mainnet", "solana_fogo_mainnet", "solana_fogo_testnet"
        - spl_token:
          - `type` (string, required)
            SPL token asset identifier type.
          - `token` (object, required)
            The SPL token details.
          - `token.chain` (string, required)
            The chain details this address is of.
            Enum: same as `chain` in "native" (5 values)
          - `token.base58_repr` (string, required)
            Base58 representation of the address in the chain.
            Example: "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The type of the Solana-based chain.
        Enum: same as `chain` in "native" (5 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
    - stacks:
      - `type` (string, required)
        Stacks asset identifier type.
      - `details` (any, required) — one of (discriminator: type):
        - native:
          - `type` (string, required)
            Stacks asset identifier type.
          - `chain` (string, required)
            The details of the chain of the native asset.
            Enum: "stacks_mainnet"
        - sip10:
          - `type` (string, required)
            Sip10 asset identifier type.
          - `sip10` (object, required)
            The Sip10 details.
          - `sip10.chain` (string, required)
            The chain details this address is of.
            Enum: same as `chain` in "native" (1 values)
          - `sip10.hex_repr` (string, required)
            Hexadecimal representation of the address in the chain.
            Example: "SP3J4NWQXC312DK0GXVRZKSRFBZG8S5FG1D2160E9"
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The type of the Stacks-based chain.
        Enum: same as `chain` in "native" (1 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
    - starknet:
      - `type` (string, required)
        Starknet asset identifier type.
      - `details` (any, required) — one of (discriminator: type):
        - erc20:
          - `type` (string, required)
            Erc20 asset identifier type.
          - `erc20` (object, required)
            The Erc20 details.
          - `erc20.chain` (string, required)
            The chain details this address is of.
            Enum: "starknet_mainnet"
          - `erc20.hex_repr` (string, required)
            Hexadecimal representation of the address in the chain.
            Example: "0x0448f450e64B50dDF49e9F95C5b63a15cD21E21a39cA2D45628d9E5B27e5e1D8"
        - native:
          - `type` (string, required)
            Starknet asset identifier type.
          - `chain` (string, required)
            The details of the chain of the native asset.
            Enum: same as `erc20.chain` in "erc20" (1 values)
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The type of the Starknet-based chain.
        Enum: same as `erc20.chain` in "erc20" (1 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
    - stellar:
      - `type` (string, required)
        Stellar asset identifier type.
      - `details` (any, required) — one of (discriminator: type):
        - classic_asset:
          - `type` (string, required)
            Stellar asset identifier type.
          - `code` (string, required)
            The 1-4 character asset code.
          - `issuer` (object, required)
            The issuer address.
          - `issuer.chain` (string, required)
            The chain details this address is of.
            Enum: "stellar_mainnet"
          - `issuer.base32_repr` (string, required)
            Hexadecimal representation of the address in the chain.
            Example: "GBRPYHIL2CI3FNQ4BXLFMNDLFJHO7W3B6FSHLTAVM2A4P45SHO4ZB7I2"
          - `chain` (string, required)
            The chain of the Classic Asset.
            Enum: same as `issuer.chain` in "classic_asset" (1 values)
        - native:
          - `type` (string, required)
            Stellar asset identifier type.
          - `chain` (string, required)
            The chain of the native asset.
            Enum: same as `issuer.chain` in "classic_asset" (1 values)
        - soroban_asset:
          - `type` (string, required)
            Stellar asset identifier type.
          - `address` (string, required)
            The Soroban asset address.
            Example: "GBRPYHIL2CI3FNQ4BXLFMNDLFJHO7W3B6FSHLTAVM2A4P45SHO4ZB7I2"
          - `chain` (string, required)
            The chain of the Soroban asset.
            Enum: same as `issuer.chain` in "classic_asset" (1 values)
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The type of the Stellar chain.
        Enum: same as `issuer.chain` in "classic_asset" (1 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
    - sui:
      - `type` (string, required)
        Sui asset identifier type.
      - `details` (any, required) — one of (discriminator: type):
        - coin:
          - `type` (string, required)
            Coin asset identifier type.
          - `coin_type` (object, required)
            The Coin details.
          - `coin_type.chain` (string, required)
            The chain details this address is of.
            Enum: "sui_mainnet", "sui_testnet"
          - `coin_type.coin_type_str` (string, required)
            Coin type string representation.
        - native:
          - `type` (string, required)
            Sui asset identifier type.
          - `chain` (string, required)
            The details of the chain of the native asset.
            Enum: same as `coin_type.chain` in "coin" (2 values)
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The type of the Sui-based chain.
        Enum: same as `coin_type.chain` in "coin" (2 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
    - ton:
      - `type` (string, required)
        TON asset identifier type.
      - `details` (any, required) — one of (discriminator: type):
        - jetton:
          - `type` (string, required)
            Jetton asset identifier type.
          - `jetton` (object, required)
            The Jetton details.
          - `jetton.chain` (string, required)
            The chain details this address is of.
            Enum: "ton_mainnet"
          - `jetton.address` (string, required)
            Contract address in a raw format.
        - native:
          - `type` (string, required)
            TON asset identifier type.
          - `chain` (string, required)
            The details of the chain of the native asset.
            Enum: same as `jetton.chain` in "jetton" (1 values)
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The type of the TON-based chain.
        Enum: same as `jetton.chain` in "jetton" (1 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
    - tron:
      - `type` (string, required)
        TRON asset identifier type.
      - `details` (any, required) — one of (discriminator: type):
        - native:
          - `type` (string, required)
            TRON asset identifier type.
          - `chain` (string, required)
            The details of the chain of the native asset.
            Enum: "tron_mainnet", "tron_shasta"
        - trc20:
          - `type` (string, required)
            Trc20 asset identifier type.
          - `trc20` (object, required)
            The Trc20 details.
          - `trc20.chain` (string, required)
            The chain details this address is of.
            Enum: same as `chain` in "native" (2 values)
          - `trc20.base58_repr` (string, required)
            Base58 representation of the address in the chain.
            Example: "TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW"
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The type of the Tron-based chain.
        Enum: same as `chain` in "native" (2 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
    - utxo:
      - `type` (string, required)
        Utxo asset identifier type.
      - `details` (object, required)
      - `details.type` (string, required)
        Utxo asset identifier type.
      - `details.chain` (string, required)
        The unique id of the chain of the asset.
        Enum: "bitcoin_mainnet", "bitcoin_testnet", "bitcoin_testnet_v4", "dogecoin_mainnet", "bitcoin_cash_mainnet", "pearl_testnet", "pearl_mainnet"
      - `chain` (object, required)
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The UTXO chain unique ID.
        Enum: same as `details.chain` in "utxo" (7 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.

  - `owned_assets.priced_asset.asset_info.name` (string, required)
    The name of the asset.

  - `owned_assets.priced_asset.asset_info.symbol` (string, required)
    The symbol (ticker) of the asset.

  - `owned_assets.priced_asset.asset_info.decimals` (integer, required)

  - `owned_assets.priced_asset.asset_info.verified` (boolean, required)
    True if this asset is verified by Fordefi, False otherwise.

  - `owned_assets.priced_asset.asset_info.metadata_uri` (string)
    The URI of the asset metadata.

  - `owned_assets.priced_asset.asset_info.is_spam` (boolean, required)
    True if this asset is spam, False otherwise.

  - `owned_assets.priced_asset.asset_info.logo_url` (string)
    The URL of the asset logo.

  - `owned_assets.priced_asset.asset_info.explorer_url` (string)
    The URL of a blockchain explorer that provides real-time information about the asset.

  - `owned_assets.priced_asset.price` (object)
    The price of the asset (if it exists in the system).

  - `owned_assets.priced_asset.price.price_float` (string, required)
    The price in the given fiat currency.
    Example: "1000000000000000000"

  - `owned_assets.priced_asset.price.fiat_currency` (object, required)

  - `owned_assets.priced_asset.price.fiat_currency.currency_symbol` (string, required)
    The symbol of the fiat currency.
    Enum: "usd"

  - `owned_assets.priced_asset.price.fiat_currency.decimals` (integer, required)
    The number of decimals in the fiat currency.

  - `owned_assets.balances` (object, required)
    The cryptocurrency balances of the asset.

  - `owned_assets.balances.total_mined` (string, required)
    The value of all mined assets.
    Example: "1000000000000000000"

  - `owned_assets.balances.total_pending_incoming` (string, required)
    The value of all pending incoming assets.
    Example: "1000000000000000000"

  - `owned_assets.balances.available_mined` (string, required)
    The value of all available mined assets. Equals to total mined balance minus frozen mined.
    Example: "1000000000000000000"

  - `owned_assets.balances.available_pending_incoming` (string, required)
    The value of all available pending incoming assets. Equals to total pending incoming minus frozen pending incoming.
    Example: "1000000000000000000"

  - `owned_assets.balances.frozen_mined` (string, required)
    The value of all mined frozen assets.
    Example: "1000000000000000000"

  - `owned_assets.balances.frozen_pending_incoming` (string, required)
    The value of all pending incoming frozen assets.
    Example: "1000000000000000000"

  - `owned_assets.balances.trustline_limit` (string)
    The trustline limit for Stellar assets. Nil for non-Stellar assets or assets without trustlines.
    Example: "1000000000000000000"

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 404 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `resource` (string)
    The type of resource.
    Enum: "user", "user_change_proposals", "user_group", "user_group_change_proposal", "vault", "vault_address", "vault_group", "address_group", "transaction", "batch_transaction", "path", "keyset", "auth_token", "access_token", "asset", "asset_info", "vault_derivation_path", "blockchain", "export", "quote", "import_keys_request", "vault_address_account", "exchange_asset_mapping", "dapp_group", "safe_address", "audit_log"

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.


